/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.makernote.provider;

import it.tidalwave.imageio.nef.NikonMakerNote3;
import it.tidalwave.imageio.raw.Directory;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class MakerNoteFormatProviderTest 
  {
    private MakerNoteFormatProvider formatProvider;
    private Directory makerNote;
    
    @Before
    public void setupFixture()
      {
        formatProvider = new MakerNoteFormatProvider();
        makerNote = new NikonMakerNote3();
      }
    
    @After
    public void tearDownFixture()
      {
        formatProvider = null;
        makerNote = null;
      }
    
    @Test
    public void testGetItemClass() 
      {
        assertEquals(Directory.class, formatProvider.getItemClass());
      }

    @Test
    public void testGetItemDisplayName() 
      {
        assertEquals("MakerNote", formatProvider.getItemDisplayName());
      }
    
    @Test
    public void testGetDisplayName()
      {
//        assertEquals("Aperture", formatProvider.getDisplayName("apertureValue"));
//        assertEquals("\u0192 Number", formatProvider.getDisplayName("FNumber"));
      }
  }